#!/bin/sh

name="nvidia-glx"
title="NVidia GLX"
package="nvidia-glx"
version="1.0_4363"
build="1"
noarch="n"
build_info="Standard build."

info="Original drivers for NVidia graphic cards."
desc="These are original XFree86 drivers for NVidia graphic cards.
You will also need kernel modules for this to work. They are
available from nvidia-kernel package."
category="system/drivers"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="usr/share/doc/*,usr/include"
docs_cwd=""

strip_bin="n"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://download.nvidia.com/XFree86/Linux-x86/`echo $version | tr _ -`/NVIDIA_GLX-`echo $version | tr _ -`.tar.gz

parent_package="$package"
write_info main

cd $src1

msg_installing

mkdir -p $pkg_main/usr/X11R6/lib/modules/{drivers,extensions}
cp usr/X11R6/lib/libXvMCNVIDIA.* $pkg_main/usr/X11R6/lib
cp usr/X11R6/lib/modules/drivers/nvidia_drv.o $pkg_main/usr/X11R6/lib/modules/drivers
cp usr/X11R6/lib/modules/extensions/libglx.so.* $pkg_main/usr/X11R6/lib/modules/extensions
cp usr/lib/libGL* $pkg_main/usr/X11R6/lib
( cd $pkg_main/usr/X11R6/lib
rm -f libGL.so libGL.so.1
ln -s libGL.so.* libGL.so
ln -s libGL.so.* libGL.so.1
rm -f libGLcore.so libGLcore.so.1
ln -s libGLcore.so.* libGLcore.so
ln -s libGLcore.so.* libGLcore.so.1
rm -f libXvMCNVIDIA.so libXvMCNVIDIA.so.1
ln -s libXvMCNVIDIA.so.* libXvMCNVIDIA.so
ln -s libXvMCNVIDIA.so.* libXvMCNVIDIA.so.1
cd modules/extensions
rm -f libglx.so libglx.so.1
ln -s libglx.so.* libglx.so
ln -s libglx.so.* libglx.so.1 )

make_docs

rm -f $doc_dir/README.DE

make_package main

clean_up

# $Log: nvidia-glx.builder,v $
# Revision 1.7  2003/04/28 10:51:48  swiergot
# - Build 1.
#
# Revision 1.6  2003/04/28 10:30:54  swiergot
# - Version 1.0-4363.
#
# Revision 1.5  2003/02/22 12:38:43  swiergot
# - Fixed symlinks.
# - Build 2.
#
# Revision 1.3  2003/02/22 11:54:18  swiergot
# - Don't create /usr/X11R6/include.
# - Build 1.
#
# Revision 1.2  2003/02/08 14:06:13  swiergot
# - Move include files into doc_dir.
# - Don't strip binaries.
#
# Revision 1.1  2003/02/08 13:41:21  swiergot
# - Initial release.
# - Version 1.0-4191.
#
